--- old/usr/src/cmd/sgs/liblddbg/Makefile.com	2019-07-14 19:12:12.426560020 +0000
+++ new/usr/src/cmd/sgs/liblddbg/Makefile.com	2019-07-14 19:12:12.442976752 +0000
@@ -47,26 +47,24 @@
 
 BLTOBJ =	msg.o
 
-TOOLOBJ =	alist.o
+SGSCOMMONOBJ =	alist.o
 
-OBJECTS =	$(BLTOBJ) $(COMOBJS) $(COMOBJS32) $(COMOBJS64) $(TOOLOBJ)
+OBJECTS =	$(BLTOBJ) $(COMOBJS) $(COMOBJS32) $(COMOBJS64) $(SGSCOMMONOBJ)
 
 
 include		$(SRC)/lib/Makefile.lib
 include		$(SRC)/cmd/sgs/Makefile.com
 
-SRCDIR =	../common
+SRCDIR =	$(SGSHOME)/liblddbg
+MAPFILEDIR =	$(SRCDIR)/common
 
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc
-DYNFLAGS +=	$(VERSREF) $(CC_USE_PROTO) '-R$$ORIGIN'
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
-
-native :=	DYNFLAGS	+= $(CONVLIBDIR)
-native :=	CPPFLAGS	+= -DNATIVE_BUILD
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc
+DYNFLAGS +=	$(VERSREF) '-R$$ORIGIN'
+LDLIBS +=	$(CONVLIBDIR) -lconv -lc
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
@@ -74,15 +72,15 @@
 
 BLTFILES =	$(BLTDEFS) $(BLTDATA) $(BLTMESG)
 
-SGSMSGCOM =	../common/liblddbg.msg
+SGSMSGCOM =	$(SRCDIR)/common/liblddbg.msg
 SGSMSGALL =	$(SGSMSGCOM)
 SGSMSGTARG =	$(SGSMSGCOM)
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA) -m $(BLTMESG) -n liblddbg_msg
 
-CHKSRCS =	$(COMOBJS32:%32.o=../common/%.c)
+CHKSRCS =	$(COMOBJS32:%32.o=$(SRCDIR)/common/%.c)
 
-LIBSRCS =	$(COMOBJS:%.o=../common/%.c) \
-		$(TOOLOBJ:%.o=$(SGSTOOLS)/common/%.c) $(BLTDATA)
+LIBSRCS =	$(COMOBJS:%.o=$(SRCDIR)/common/%.c) \
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c) $(BLTDATA)
 
 CLEANFILES +=	$(BLTFILES)
 CLOBBERFILES +=	$(DYNLIB) $(LIBLINKS)
